Bug 64375 - gnome-terminal: right-clicking on a URL doesn't always bring up "open in browser" in context menu
gnome-terminal: right-clicking on a URL doesn't always bring up "open in brow...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 23:58 EDT by Damien Miller
Modified: 2016-10-02 06:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-19 11:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of activated context menu without "open in browser" item despite link being underlined (33.00 KB, image/png)
2002-05-02 23:59 EDT, Damien Miller
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64375 master MERGED volume: Add qcow2_compat on create 2016-10-02 06:15 EDT

  None (edit)
Description Damien Miller 2002-05-02 23:58:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020326

Description of problem:
When gnome-terminal detects a URL in the text it displays it will make it an
active link: when the mouse cursor is placed over such a link it will be
underlined and an "Open in Browser" link should be displayed in the right-click
context menu.

Occasionally the latter doesn't happen: the link is underlined, but the "Open in
Browser" menu item is not added to the menu. It may take a couple of
right-clicks to get it to appear.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Display some text with a URL in it
2.Right click on the URL
3.If the context menu contains "Open in browser", move the mouse away and repeat
from step 2
	

Actual Results:  The "Open in Browser" link does not appear

Expected Results:  The last item in the context menu should be "Open in Browser"

Additional info:

This can be frustrating, if you don't stop to look you can end up clearing your
terminal buffer instead of opening the link!
Comment 1 Damien Miller 2002-05-02 23:59:31 EDT
Created attachment 56264 [details]
Image of activated context menu without "open in browser" item despite link being underlined
Comment 2 Havoc Pennington 2002-07-06 18:26:42 EDT
The code involved here is totally replaced in Rawhide, so assuming it has
different bugs. Reopen if not.

Note You need to log in before you can comment on or make changes to this bug.